0

Should I install Drush 8 or Drush 9 for Drupal 8?

What does the code status failing mean? Is Drush 8 not compatible with Drupal 8?

enter image description here

4

At the moment, the Drush unit tests have some intermittent failures. I wouldn't worry too much about the failure. I'd recommend Drush 8 for Drupal 8 use.

UPDATE: I looked into the test failures, and it looks like they are related to fact that Drupal 8.1.x is now the recommended version of Drupal, whereas the Drush 8 tests are still assuming 8.0.x. These test failures have been fixed in the master branch, but not back-ported to the 8.x branch yet. The failures are caused by problems in the tests, not by problems in Drush; they should be fixed shortly, but will not cause you any problems in the meantime.

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.